depends = ('ITKPyBase', 'ITKStatistics', 'ITKImageSources', 'ITKImageGrid', 'ITKCommon', )
templates = (
  ('FixedArray', 'itk::FixedArray', 'itkFixedArrayF8', False, 'float,8'),
  ('Vector', 'itk::Vector', 'itkVectorF8', False, 'float,8'),
  ('Image', 'itk::Image', 'itkImageVF82', False, 'itk::Vector<float,8>,2'),
  ('Image', 'itk::Image', 'itkImageVF83', False, 'itk::Vector<float,8>,3'),
  ('ImageSource', 'itk::ImageSource', 'itkImageSourceIVF82', False, 'itk::Image<itk::Vector<float,8>,2>'),
  ('ImageSource', 'itk::ImageSource', 'itkImageSourceIVF83', False, 'itk::Image<itk::Vector<float,8>,3>'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterISS2IVF82', False, 'itk::Image< signed short,2 >, itk::Image<itk::Vector<float,8>,2>'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIUC2IVF82', False, 'itk::Image< unsigned char,2 >, itk::Image<itk::Vector<float,8>,2>'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterISS3IVF83', False, 'itk::Image< signed short,3 >, itk::Image<itk::Vector<float,8>,3>'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIUC3IVF83', False, 'itk::Image< unsigned char,3 >, itk::Image<itk::Vector<float,8>,3>'),
  ('ImageIOBase', 'itk::ImageIOBase', 'itkImageIOBase', False),
  ('ImageFileReader', 'itk::ImageFileReader', 'itkImageFileReaderIVF82', False, 'itk::Image<itk::Vector<float,8>,2>'),
  ('ImageFileReader', 'itk::ImageFileReader', 'itkImageFileReaderIVF83', False, 'itk::Image<itk::Vector<float,8>,3>'),
  ('ImageFileWriter', 'itk::ImageFileWriter', 'itkImageFileWriterIVF82', False, 'itk::Image<itk::Vector<float,8>,2>'),
  ('ImageFileWriter', 'itk::ImageFileWriter', 'itkImageFileWriterIVF83', False, 'itk::Image<itk::Vector<float,8>,3>'),
  ('ScalarImageToTextureFeaturesImageFilter', 'itk::Statistics::ScalarImageToTextureFeaturesImageFilter', 'itkScalarImageToTextureFeaturesImageFilterISS2IVF82', True, 'itk::Image< signed short,2 >, itk::Image<itk::Vector<float,8>,2>'),
  ('ScalarImageToTextureFeaturesImageFilter', 'itk::Statistics::ScalarImageToTextureFeaturesImageFilter', 'itkScalarImageToTextureFeaturesImageFilterISS2VIF2', True, 'itk::Image< signed short,2 >, itk::VectorImage< float,2 >'),
  ('ScalarImageToTextureFeaturesImageFilter', 'itk::Statistics::ScalarImageToTextureFeaturesImageFilter', 'itkScalarImageToTextureFeaturesImageFilterIUC2IVF82', True, 'itk::Image< unsigned char,2 >, itk::Image<itk::Vector<float,8>,2>'),
  ('ScalarImageToTextureFeaturesImageFilter', 'itk::Statistics::ScalarImageToTextureFeaturesImageFilter', 'itkScalarImageToTextureFeaturesImageFilterIUC2VIF2', True, 'itk::Image< unsigned char,2 >, itk::VectorImage< float,2 >'),
  ('ScalarImageToTextureFeaturesImageFilter', 'itk::Statistics::ScalarImageToTextureFeaturesImageFilter', 'itkScalarImageToTextureFeaturesImageFilterISS3IVF83', True, 'itk::Image< signed short,3 >, itk::Image<itk::Vector<float,8>,3>'),
  ('ScalarImageToTextureFeaturesImageFilter', 'itk::Statistics::ScalarImageToTextureFeaturesImageFilter', 'itkScalarImageToTextureFeaturesImageFilterISS3VIF3', True, 'itk::Image< signed short,3 >, itk::VectorImage< float,3 >'),
  ('ScalarImageToTextureFeaturesImageFilter', 'itk::Statistics::ScalarImageToTextureFeaturesImageFilter', 'itkScalarImageToTextureFeaturesImageFilterIUC3IVF83', True, 'itk::Image< unsigned char,3 >, itk::Image<itk::Vector<float,8>,3>'),
  ('ScalarImageToTextureFeaturesImageFilter', 'itk::Statistics::ScalarImageToTextureFeaturesImageFilter', 'itkScalarImageToTextureFeaturesImageFilterIUC3VIF3', True, 'itk::Image< unsigned char,3 >, itk::VectorImage< float,3 >'),
  ('FixedArray', 'itk::FixedArray', 'itkFixedArrayF10', False, 'float,10'),
  ('Vector', 'itk::Vector', 'itkVectorF10', False, 'float,10'),
  ('Image', 'itk::Image', 'itkImageVF102', False, 'itk::Vector<float,10>,2'),
  ('Image', 'itk::Image', 'itkImageVF103', False, 'itk::Vector<float,10>,3'),
  ('ImageSource', 'itk::ImageSource', 'itkImageSourceIVF102', False, 'itk::Image< itk::Vector<float,10>,2 >'),
  ('ImageSource', 'itk::ImageSource', 'itkImageSourceIVF103', False, 'itk::Image< itk::Vector<float,10>,3 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterISS2IVF102', False, 'itk::Image< signed short,2 >, itk::Image<itk::Vector<float,10>,2>'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIUC2IVF102', False, 'itk::Image< unsigned char,2 >, itk::Image<itk::Vector<float,10>,2>'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterISS3IVF103', False, 'itk::Image< signed short,3 >, itk::Image<itk::Vector<float,10>,3>'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIUC3IVF103', False, 'itk::Image< unsigned char,3 >, itk::Image<itk::Vector<float,10>,3>'),
  ('ImageIOBase', 'itk::ImageIOBase', 'itkImageIOBase', False),
  ('ImageFileReader', 'itk::ImageFileReader', 'itkImageFileReaderIVF102', False, 'itk::Image<itk::Vector<float,10>,2>'),
  ('ImageFileReader', 'itk::ImageFileReader', 'itkImageFileReaderIVF103', False, 'itk::Image<itk::Vector<float,10>,3>'),
  ('ImageFileWriter', 'itk::ImageFileWriter', 'itkImageFileWriterIVF102', False, 'itk::Image<itk::Vector<float,10>,2>'),
  ('ImageFileWriter', 'itk::ImageFileWriter', 'itkImageFileWriterIVF103', False, 'itk::Image<itk::Vector<float,10>,3>'),
  ('ScalarImageToRunLengthFeaturesImageFilter', 'itk::Statistics::ScalarImageToRunLengthFeaturesImageFilter', 'itkScalarImageToRunLengthFeaturesImageFilterISS2IVF102', True, 'itk::Image< signed short,2 >, itk::Image<itk::Vector<float,10>,2>'),
  ('ScalarImageToRunLengthFeaturesImageFilter', 'itk::Statistics::ScalarImageToRunLengthFeaturesImageFilter', 'itkScalarImageToRunLengthFeaturesImageFilterISS2VIF2', True, 'itk::Image< signed short,2 >, itk::VectorImage< float,2 >'),
  ('ScalarImageToRunLengthFeaturesImageFilter', 'itk::Statistics::ScalarImageToRunLengthFeaturesImageFilter', 'itkScalarImageToRunLengthFeaturesImageFilterIUC2IVF102', True, 'itk::Image< unsigned char,2 >, itk::Image<itk::Vector<float,10>,2>'),
  ('ScalarImageToRunLengthFeaturesImageFilter', 'itk::Statistics::ScalarImageToRunLengthFeaturesImageFilter', 'itkScalarImageToRunLengthFeaturesImageFilterIUC2VIF2', True, 'itk::Image< unsigned char,2 >, itk::VectorImage< float,2 >'),
  ('ScalarImageToRunLengthFeaturesImageFilter', 'itk::Statistics::ScalarImageToRunLengthFeaturesImageFilter', 'itkScalarImageToRunLengthFeaturesImageFilterISS3IVF103', True, 'itk::Image< signed short,3 >, itk::Image<itk::Vector<float,10>,3>'),
  ('ScalarImageToRunLengthFeaturesImageFilter', 'itk::Statistics::ScalarImageToRunLengthFeaturesImageFilter', 'itkScalarImageToRunLengthFeaturesImageFilterISS3VIF3', True, 'itk::Image< signed short,3 >, itk::VectorImage< float,3 >'),
  ('ScalarImageToRunLengthFeaturesImageFilter', 'itk::Statistics::ScalarImageToRunLengthFeaturesImageFilter', 'itkScalarImageToRunLengthFeaturesImageFilterIUC3IVF103', True, 'itk::Image< unsigned char,3 >, itk::Image<itk::Vector<float,10>,3>'),
  ('ScalarImageToRunLengthFeaturesImageFilter', 'itk::Statistics::ScalarImageToRunLengthFeaturesImageFilter', 'itkScalarImageToRunLengthFeaturesImageFilterIUC3VIF3', True, 'itk::Image< unsigned char,3 >, itk::VectorImage< float,3 >'),
)
